@font-face {
    font-family: 'Rajdhani';
    src: url('../font/Rajdhani-Medium.eot');
    src: url('../font/Rajdhani-Medium.eot?#iefix') format('embedded-opentype'), url('../font/Rajdhani-Medium.woff2') format('woff2'), url('../font/Rajdhani-Medium.woff') format('woff'), url('../font/Rajdhani-Medium.ttf') format('truetype'), url('../font/Rajdhani-Medium.svg#Rajdhani-Medium') format('svg');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Rajdhani';
    src: url('../font/Rajdhani-Regular.eot');
    src: url('../font/Rajdhani-Regular.eot?#iefix') format('embedded-opentype'), url('../font/Rajdhani-Regular.woff2') format('woff2'), url('../font/Rajdhani-Regular.woff') format('woff'), url('../font/Rajdhani-Regular.ttf') format('truetype'), url('../font/Rajdhani-Regular.svg#Rajdhani-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Rajdhani';
    src: url('../font/Rajdhani-Semibold.eot');
    src: url('../font/Rajdhani-Semibold.eot?#iefix') format('embedded-opentype'), url('../font/Rajdhani-Semibold.woff2') format('woff2'), url('../font/Rajdhani-Semibold.woff') format('woff'), url('../font/Rajdhani-Semibold.ttf') format('truetype'), url('../font/Rajdhani-Semibold.svg#Rajdhani-Semibold') format('svg');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Rajdhani';
    src: url('../font/Rajdhani-Light.eot');
    src: url('../font/Rajdhani-Light.eot?#iefix') format('embedded-opentype'), url('../font/Rajdhani-Light.woff2') format('woff2'), url('../font/Rajdhani-Light.woff') format('woff'), url('../font/Rajdhani-Light.ttf') format('truetype'), url('../font/Rajdhani-Light.svg#Rajdhani-Light') format('svg');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Rajdhani';
    src: url('../font/Rajdhani-Bold.eot');
    src: url('../font/Rajdhani-Bold.eot?#iefix') format('embedded-opentype'), url('../font/Rajdhani-Bold.woff2') format('woff2'), url('../font/Rajdhani-Bold.woff') format('woff'), url('../font/Rajdhani-Bold.ttf') format('truetype'), url('../font/Rajdhani-Bold.svg#Rajdhani-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

body {
    overflow: hidden;
    font-family: Rajdhani;
}

.m-10 {
    margin: 10px;
}

.mt-20 {
    margin-top: 13px;
}

.mb-10 {
    margin-bottom: 10px;
}

.m-20 {
    margin: 20px;
}

.mb-20 {
    margin-bottom: 20px;
}

.mb-30 {
    margin-bottom: 30px;
}

.m-30 {
    margin: 30px;
}

.mt-30 {
    margin-top: 30px;
}

.mb-35 {
    margin-bottom: 35px;
}

.m-35 {
    margin: 35px;
}

.m-35 {
    margin: 35px;
}

.mt-35 {
    margin-top: 35px;
}

.mb-45 {
    margin-bottom: 45px;
}

.m-45 {
    margin: 45px;
}

.m-45 {
    margin: 45px;
}

.mt-45 {
    margin-top: 45px;
}

.btn-warning {
    --bs-btn-color: #000;
    --bs-btn-bg: #ffc107;
    --bs-btn-border-color: #ffc107;
    --bs-btn-hover-color: #000;
    --bs-btn-hover-bg: #ffc107;
    --bs-btn-hover-border-color: #ffc107;
    --bs-btn-focus-shadow-rgb: 217, 164, 6;
    --bs-btn-active-color: #000;
    --bs-btn-active-bg: #ffc107;
    --bs-btn-active-border-color: #ffc107;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #000;
    --bs-btn-disabled-bg: #ffc107;
    --bs-btn-disabled-border-color: #ffc107;
}

.h-100-vh {
    min-height: 100vh;
}

.field-icon {
    float: right;
    margin-right: 10px;
    margin-left: -25px;
    margin-top: -25px;
    position: relative;
    z-index: 2;
}

.bg-dark {
    background-color: #20221f !important;
}

.form-control {
    background-color: #0000008d;
    border-color: #5e5d5d;
    color: #fff;
}

::placeholder {
    color: #fff !important;
}

label {
    color: #fff;
}

.container.forgotpassword,
.container.login {
    padding: 30px;
}

.form-floating>label {
    opacity: 0;
}

.form-floating>.form-control-plaintext:focus,
.form-floating>.form-control-plaintext:not(:placeholder-shown),
.form-floating>.form-control:focus,
.form-floating>.form-control:not(:placeholder-shown) {
    padding-top: 1rem;
    padding-bottom: 0.625rem;
    background-color: #00000099;
    border-color: #fec007;
    color: #fff;
    outline: unset;
    box-shadow: unset;
}

.form-floating>.form-control-plaintext~label,
.form-floating>.form-control:focus~label,
.form-floating>.form-control:not(:placeholder-shown)~label,
.form-floating>.form-select~label {
    background-color: #00000099;
    width: fit-content;
    height: fit-content;
    padding: 0px 0px;
    opacity: 1;
    left: 9px;
    top: -2px;
    opacity: 1;
}

/* forgot password */
.grid {
    display: grid;
    grid-template-columns: 37.5% 62.4%;
}

.user-link {
    font-size: 20px;
    font-weight: 400;
}

.user-text {
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 20px;
}

a.link-light {
    font-size: 16px;
    font-weight: 600;
}

.form-floating>.form-control,
.form-floating>.form-control-plaintext,
.form-floating>.form-select {
    height: calc(2.7rem + 2px);
    line-height: 1.25;
    border-radius: 10px;
}

button.btn.btn-warning {
    color: #20221f;
    font-weight: 500;
    font-size: 20px;
    text-transform: uppercase;
    padding: 1px 0px;
}

.carousel-indicators [data-bs-target] {
    box-sizing: content-box;
    flex: 0 1 auto;
    width: 10px;
    height: 10px;
    padding: 0;
    margin-right: 3px;
    margin-left: 3px;
    text-indent: -999px;
    cursor: pointer;
    background-color: #ffc107;
    background-clip: padding-box;
    border: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    opacity: .5;
    transition: opacity .6s ease;
    border-radius: 50%;
}

.carousel-indicators .active {
    opacity: 1;
}

/* autofill css */
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active,
input:-webkit-autofill,
input:-moz-autofill,
input:-internal-autofill-selected {
    box-shadow: 0 0 0 1000px #000000d4 inset !important;
    color: #fff !important;
    background-color: #00000099;
    -webkit-text-fill-color: #fff;
}

input:-internal-autofill-selected,
input:-internal-autofill-previewed {
    box-shadow: 0 0 0 1000px #000000d4 inset !important;
    color: #fff !important;
    background-color: #00000099;
    -webkit-text-fill-color: #fff;
}

label.error {
    color: #f14141;
    font-size: 12px;
    font-weight: 600;
}

.form-floating>.form-control.error:focus {
    border-color: #f14141;
}

.fa-fw {
    width: 1.28571429em;
    text-align: center;
    position: relative;
    top: -4px;
}

.login {
    position: absolute;
    background-color: #000000ab;
    z-index: 222;
    width: 395px;
    top: 50%;
    left: 10%;
    transform: translate(-10%, -50%);
    backdrop-filter: blur(0.100rem);
    /* border: 1px solid #242424; */
    border-radius: 20px;
    /* box-shadow: 0 -15px 15px rgba(255, 255, 255, 0.05), inset 0 -15px 15px rgba(255, 255, 255, 0.05), 0 15px 15px rgb(0 0 0 / 41%), inset 0 15px 15px rgba(0, 0, 0, 0.4); */
    /* box-shadow: 0 -15px 15px rgba(255, 255, 255, 0.05), inset 0 -15px 15px rgba(255, 255, 255, 0.05), 0 15px 15px rgb(0 0 0 / 41%), inset 0 15px 15px rgb(0 0 0 / 2%); */
}

.background-container {
    background-image: url("{{ asset('../../.././img/slide.jpg') }}");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top center;
    width: 100%;
    height: 100vh;
}